Gentoo Archives: gentoo-commits

From: Patrick Lauer <patrick@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/amtterm/
Date: Mon, 31 Jul 2017 12:23:46
Message-Id: 1501503813.827be1a312b25af9baed8579dec1bd2a586aebb4.patrick@gentoo
commit:     827be1a312b25af9baed8579dec1bd2a586aebb4
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 31 12:23:17 2017 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Mon Jul 31 12:23:33 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=827be1a3

dev-util/amtterm: Bump

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-util/amtterm/Manifest           |  1 +
 dev-util/amtterm/amtterm-1.6.ebuild | 46 +++++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-util/amtterm/Manifest b/dev-util/amtterm/Manifest
index ce7c6941ae2..d1b0254dcec 100644
--- a/dev-util/amtterm/Manifest
+++ b/dev-util/amtterm/Manifest
@@ -1,2 +1,3 @@
 DIST amtterm-1.3.tar.gz 37671 SHA256 769d02f087c7594e4a29a901580b2d39154db49ca1f3a6881598d0c595b9bc50 SHA512 04514b7d7a38f7e579739186829f1aba95b3580d24a47fe82382e1c85e8a24a11983117e5cc75c1f7e1f360927b40a5adc1d2ed65a2e325e7abcc01320aa654b WHIRLPOOL 86e873ebe06ef4fab401b4f2fbe876b540503a0ec21fd415108a5e5f5604dd5b649800055be5e5a14b59019cca7f34b9975dce79fe223284cbf850cd729f869b
 DIST amtterm-1.4.tar.gz 38445 SHA256 e10af2b02dbf66fb24abd292b9ddc6d86b31eea09887da5cb0eb8fb2ee900e21 SHA512 64bad394a2526291daa72fd211952caff20c0aa1f1c580dcbae3c92882c9fd57238c140e14749a9d58580e49890abd447e7ca466b39221301e4108c19298502f WHIRLPOOL 2004c69ad03b164c317f3e7d8fdedb83196cf79fee51642b912a380ecdb17a895de67eedf4beadf0e5d5293928fee48aaf79d521d3949bc6ddb1c3110d215a29
+DIST amtterm-1.6.tar.gz 40804 SHA256 1242cea467827aa1e2e91b41846229ca0a5b3f3e09260b0df9d78dc875075590 SHA512 b10777727cf7f931e4b04fff7c621ea6e94989738833fe4f830bd795c8be3b0e983100b34a2ea5feb48221f022b3498a819c9f4fba9c7722226d56d374a1d986 WHIRLPOOL e0a93390bc3113b2d923d0debd933ba2b8c65dbe80f0c39a392a6fd7e669a9ff8b9ab8a0666621916d2517badaf1634e598b9eb8347d92f17cfd71d0cb2ebafe

diff --git a/dev-util/amtterm/amtterm-1.6.ebuild b/dev-util/amtterm/amtterm-1.6.ebuild
new file mode 100644
index 00000000000..d9222f8bf2e
--- /dev/null
+++ b/dev-util/amtterm/amtterm-1.6.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit eutils
+
+DESCRIPTION="A nice tool to manage amt-enabled machines"
+HOMEPAGE="https://www.kraxel.org/blog/linux/amtterm/"
+SRC_URI="https://www.kraxel.org/releases/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux"
+IUSE="gtk"
+
+DEPEND="gtk? (
+	x11-libs/gtk+:3
+	x11-libs/vte:2.91 )"
+RDEPEND="${DEPEND}
+	dev-perl/SOAP-Lite"
+
+src_prepare() {
+	sed -i -e 's|\(INSTALL_BINARY  := \$(INSTALL)\) \$(STRIP)|\1|' mk/Variables.mk || die
+}
+
+src_configure() {
+	echo "LIB := $(get_libdir)" > Make.config || die
+
+	# enable gamt
+	echo "HAVE_GTK := $(usex gtk)" >> Make.config || die
+	echo "HAVE_VTE := $(usex gtk)" >> Make.config || die
+}
+
+src_compile() {
+	prefix="/usr" emake || die
+}
+
+src_install() {
+	prefix="/usr" emake DESTDIR=${ED} install || die
+
+	if ! use gtk; then
+		rm -rf "${D}"/usr/share/applications || die
+		rm -rf "${D}"/usr/share/man/man1/gamt* || die
+	fi
+}